| Cantera 3.0.0

Loading...
Searching...
No Matches
SpeciesThermoFactory.h
Go to the documentation of this file.
1/**
2 * @file SpeciesThermoFactory.h
3 * Header for factory functions to build instances of classes that manage the
4 * standard-state thermodynamic properties of a set of species
5 * (see @ref spthermo);
6 */
7
8// This file is part of Cantera. See License.txt in the top-level directory or
9// at https://cantera.org/license.txt for license and copyright information.
10
11#ifndef SPECIESTHERMO_FACTORY_H
12#define SPECIESTHERMO_FACTORY_H
13
14#include "SpeciesThermoInterpType.h"
15
16 namespace Cantera
17{
18
19 class AnyMap;
20
21//! Create a new SpeciesThermoInterpType object given a corresponding constant.
22/*!
23 * @param type A constant specifying the type to be created
24 * @param tlow The lowest temperature at which the parameterization is valid
25 * @param thigh The highest temperature at which the parameterization is valid
26 * @param pref The reference pressure for the parameterization
27 * @param coeffs The array of coefficients for the parameterization
28 * @returns The pointer to the newly allocated SpeciesThermoInterpType object
29 */
30SpeciesThermoInterpType* newSpeciesThermoInterpType(int type, double tlow,
31 double thigh, double pref, const double* coeffs);
32
33//! Create a new SpeciesThermoInterpType object given a string
34/*!
35 * @param type String name for the species thermo type
36 * @param tlow The lowest temperature at which the parameterization is valid
37 * @param thigh The highest temperature at which the parameterization is valid
38 * @param pref The reference pressure for the parameterization
39 * @param coeffs The array of coefficients for the parameterization
40 * @returns the pointer to the newly allocated SpeciesThermoInterpType object
41 */
42SpeciesThermoInterpType* newSpeciesThermoInterpType(const string& type,
43 double tlow, double thigh, double pref, const double* coeffs);
44
45//! Create a new SpeciesThermoInterpType object using the specified parameters
46/*!
47 * @param thermo_node An AnyMap specifying the model type (for example, "NASA") and any
48 * model parameters necessary to instantiate the object
49 */
50unique_ptr<SpeciesThermoInterpType> newSpeciesThermo(const AnyMap& thermo_node);
51
52}
53
54#endif
SpeciesThermoInterpType.h
Pure Virtual Base class for individual species reference state thermodynamic managers and text for th...
Cantera
Namespace for the Cantera kernel.
Definition AnyMap.cpp:564
Cantera::newSpeciesThermo
unique_ptr< SpeciesThermoInterpType > newSpeciesThermo(const AnyMap &node)
Create a new SpeciesThermoInterpType object using the specified parameters.
Definition SpeciesThermoFactory.cpp:186
Cantera::newSpeciesThermoInterpType
SpeciesThermoInterpType * newSpeciesThermoInterpType(int type, double tlow, double thigh, double pref, const double *coeffs)
Create a new SpeciesThermoInterpType object given a corresponding constant.
Definition SpeciesThermoFactory.cpp:27